Subject: [MIB-DOCTORS] Re: [Hubmib] RE: Compilation compatibiltiy withdraft-ietf-hubmib-rfc3636bis-05

From: "C. M. Heard" <[email-masked]>
Date: Tue, 5 Sep 2006 13:06:04 -0700 (PDT)

On Tue, 5 Sep 2006, Clay Sikes wrote:
> Just to be clear, I raised the issue, not because I did a visual review
> of the MIB module, but because I dropped the ID in an implementation and
> it failed to compile because code that was written used the old labels. 
> If I failed, then could others that implemented RFC 2668 fail as well?
> 
> C.M. Heard, what is your opinion with respect to RFC 4181 Section 4.9 top
> of page 29, second paragraph that had a discussion on changing labels for
> named bits and the effect on compilation compatibility?

I've forwarded the correspondence on this isssue to the MIB Doctors
list so that they will be aware of the issue.  One thing that might
be helpful would be to provide more information on the exact nature
of the compilation error.  When we produced that part of RFC 4181 we
were attempting to plug a "hole" in the SMIv2 rules, specifically
where a change to a definition that was legal in RFC 2578 or RFC
2579 could cause a module that imported a definition to go from
being syntactically legal under SMIv2 rules to being syntactically
illegal.  If that is the nature of your problem it would be good to
see the module (possibly stripped down to remove proprietary
elements).  If the problem is something else it would be good if you
could describe it.  One thing to be aware of is that SMIv2 from its
inception has allowed named number and named bit labels to be
revised.

Mike

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors